# List event log entries Returns a page of event log entries. Events can occur either system or user initiated. In case an event is user initiated the event context contains information on the user that triggered it and the associated HTTP request is captured. Endpoint: GET /log/events Version: 26.2.0.4309 Security: Bearer ## Query parameters: - `sortDirection` (string) The direction the returned data will be sorted by. Enum: "Asc", "Desc" - `type` (array) If set, only returns events with the specified type. More than 1 type can be specified. Enum: "System", "Request", "Legacy" - `includeFailedRequests` (boolean) If set to true, also includes failed request events (these are filtered out by default). Note that not all failed requests can be captured or assigned to your organization, depending on the nature of the failure. - `entityId` (array) If set, only returns events related to the specified identifier. For example, to filter on events for a given provider, set this parameter to the identifier of that provider. More than 1 entity identifier can be specified. - `category` (array) If set, only returns events related to the specified category. More than 1 category can be specified. Enum: "Verifications", "ProviderInfo", "ProviderManagement", "Organization", "Integrations", "Groups", "ProviderProfile", "Beta", "Mpd", "Console", "FacilityManagement", "FacilityInfo" - `subcategory` (array) If set, only returns events related to the specified subcategory. The subcategories differ per category. More than 1 subcategory can be specified. - `before` (string) If set, only returns events from before this date. - `beforeInclusive` (boolean) If set to true, will include events created exactly at before date and time too. - `after` (string) If set, only returns events from after this date. - `afterInclusive` (boolean) If set to true, will include events created exactly at after date and time too. - `correlationId` (string) If set, only returns events related to the specified correlation identifier. - `sortedBy` (string) The property by which the returned data will be sorted. Enum: "Timestamp", "Type" - `sort` (object) If set, the properties and directions the returned data will be sorted by. - `cursor` (string) The cursor to render the page requested. To load the first page send an empty cursor, then the system will generate the cursors to go to the next and/or previous pages automatically. - `count` (integer) The number of items to include in a single page. - `offset` (integer) The offset for the page to start. ## Response 200 fields (application/json): - `sort` (object) The properties and directions the data is sorted by. Example: {"Timestamp":"Desc"} - `sort.Keys` (string) Enum: "Timestamp", "Type" - `sort.Values` (string) Enum: "Asc", "Desc" - `previousCursor` (string) The value to use for cursor to get to the previous paginated page. null will be returned if it's the first page. Example: "string" - `nextCursor` (string) The value to use for cursor to get to the next paginated page. null will be returned if it's the last page. Example: "string" - `pageSize` (integer) The maximum number of items included in this page. Example: 20 - `count` (integer) The number of items in this page. Example: 1 - `totalCount` (integer) The total number of items in all pages combined. Example: 1 - `items` (array) The event log entries in the current page. Example: [{"id":"50587ba5-ed48-4430-b9fd-6b4518979a84","timestamp":"2021-10-04T14:21:45.6433130Z","type":"Request","messageTemplate":"Viewed event log","context":{"user":{"id":"40b87c94-e279-4412-933b-6dc87980bc31","role":"admin","email":"john.doe@verifiable.com"},"request":{"route":"log/events","method":"GET","operation":"ListEventLogEntries","timeTaken":6,"userAgent":"PostmanRuntime/7.28.4","queryString":"includeReadEvents=true","userTokenId":"defbffb0-861e-4b4b-b899-b9452ef0089b","responseType":"application/json; charset=utf-8","routeTemplate":"log/events","userIpAddress":"0.0.0.1","responseStatusCode":200},"relatedEntities":[]}}] - `items.id` (string) Unique identifier of the event. - `items.timestamp` (string) The date & time of the event. - `items.type` (string) The type of the event indicating if it was system or user initiated. Enum: "System", "Request", "Legacy" - `items.messageTemplate` (string) Human readable description of the event that occurred. To be used in conjunction with messageParameters. - `items.messageParameters` (any) If the messageTemplate contains parameters, this object will contain the values to be used to replace those parameters. - `items.correlationId` (string) The correlation identifier associated with the request. Verifiable staff can use this for further troubleshooting. - `items.context` (any) Any relevant contextual data for the event. For events of type Request this will contain request and user data. In addition most events will include an array of relatedEntities with identifiers of objects that are related to this specific event. - `sortedBy` (string) The property by which the data is sorted. Enum: "Timestamp", "Type" - `sortDirection` (string) The direction in which the data is sorted. Enum: "Asc", "Desc" - `nextOffset` (integer) The value to use for offset to get the next page following the current page or null if this page is the last. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields